## org.jvnet.libpam.impl
Class CLibrary.passwd

    java.lang.Object
      com.sun.jna.Structure
          org.jvnet.libpam.impl.CLibrary.passwd

Enclosing interface:
  CLibrary

    public static class CLibrary.passwd

extends com.sun.jna.Structure

Comparing http://linux.die.net/man/3/getpwnam and my Mac OS X reveals that the structure of this field isn't very portable. In particular, we cannot read the real name reliably.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `pw_gid`
`java.lang.String` `pw_name` User name.
`java.lang.String` `pw_passwd` Encrypted password.
`int` `pw_uid`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`CLibrary.passwd()`

Method Summary
`static CLibrary.passwd` `loadPasswd(java.lang.String userName)`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pw_name

    public java.lang.String pw_name

  User name.

### pw_passwd

    public java.lang.String pw_passwd

  Encrypted password.

### pw_uid

    public int pw_uid

### pw_gid

    public int pw_gid

Constructor Detail

### CLibrary.passwd

    public CLibrary.passwd()

Method Detail

### loadPasswd

    public static CLibrary.passwd loadPasswd(java.lang.String userName)
                                      throws PAMException

  Throws:
    `PAMException`

Copyright © 2012. All Rights Reserved.